"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asksTaskEither = exports.asksTask = exports.asksEither = exports.unsafeUnwrapLeft = exports.unsafeUnwrap = exports.runReaderTaskEither = void 0;
const function_1 = require("fp-ts/function");
const TE = require("fp-ts/TaskEither");
const Reader_js_1 = require("./Reader.js");
const TaskEither_js_1 = require("./TaskEither.js");
exports.runReaderTaskEither = Reader_js_1.runReader;
const unsafeUnwrap = (rte) => (r) => (0, TaskEither_js_1.unsafeUnwrap)(rte(r));
exports.unsafeUnwrap = unsafeUnwrap;
const unsafeUnwrapLeft = (rte) => (r) => (0, TaskEither_js_1.unsafeUnwrapLeft)(rte(r));
exports.unsafeUnwrapLeft = unsafeUnwrapLeft;
const asksEither = (f) => (0, function_1.flow)(f, TE.fromEither);
exports.asksEither = asksEither;
const asksTask = (f) => (0, function_1.flow)(f, TE.fromTask);
exports.asksTask = asksTask;
exports.asksTaskEither = function_1.identity;
