"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pass = exports.unsafeExpect = exports.unsafeUnwrap = void 0;
const TO = require("fp-ts/TaskOption");
const T = require("fp-ts/Task");
const Task_js_1 = require("./Task.js");
const Option_js_1 = require("./Option.js");
const function_1 = require("fp-ts/function");
const Applicative_js_1 = require("./Applicative.js");
exports.unsafeUnwrap = (0, function_1.flow)(T.map(Option_js_1.unsafeUnwrap), Task_js_1.execute);
const unsafeExpect = (msg) => (0, function_1.flow)(T.map((0, Option_js_1.unsafeExpect)(msg)), Task_js_1.execute);
exports.unsafeExpect = unsafeExpect;
exports.pass = (0, Applicative_js_1.pass)(TO.ApplicativePar);
