"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pass = exports.unsafeExpect = exports.unsafeUnwrap = void 0;
const IOO = require("fp-ts/IOOption");
const IO = require("fp-ts/IO");
const IO_js_1 = require("./IO.js");
const Option_js_1 = require("./Option.js");
const function_1 = require("fp-ts/function");
const Applicative_js_1 = require("./Applicative.js");
exports.unsafeUnwrap = (0, function_1.flow)(IO.map(Option_js_1.unsafeUnwrap), IO_js_1.execute);
const unsafeExpect = (msg) => (0, function_1.flow)(IO.map((0, Option_js_1.unsafeExpect)(msg)), IO_js_1.execute);
exports.unsafeExpect = unsafeExpect;
exports.pass = (0, Applicative_js_1.pass)(IOO.Applicative);
