import * as IO from "fp-ts/IO";
import { flow, pipe } from "fp-ts/function";
import * as RA from "fp-ts/ReadonlyArray";
import { extractAt } from "./Array.js";
import * as Rand from "fp-ts/Random";
import { decrement } from "./Number.js";
import { unsafeUnwrap } from "./Option.js";
export const randomExtract = (xs) => pipe(Rand.randomInt(0, pipe(xs, RA.size, decrement)), IO.map(flow(i => extractAt(i)(xs), unsafeUnwrap)));
