import * as TO from "fp-ts/TaskOption";
import * as T from "fp-ts/Task";
import { execute as executeT } from "./Task.js";
import { unsafeUnwrap as unsafeUnwrapO, unsafeExpect as unsafeExpectO, } from "./Option.js";
import { flow } from "fp-ts/function";
import { pass as _pass } from "./Applicative.js";
export const unsafeUnwrap = flow(T.map(unsafeUnwrapO), executeT);
export const unsafeExpect = (msg) => flow(T.map(unsafeExpectO(msg)), executeT);
export const pass = _pass(TO.ApplicativePar);
